//
//  ViewController.m
//  H5&Native
//
//  Created by test on 15/12/22.
//  Copyright © 2015年 test. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()<UIWebViewDelegate>
@property (weak, nonatomic) IBOutlet UIWebView *webView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    NSURLRequest * request = [[NSURLRequest alloc]initWithURL:[NSURL URLWithString:@"http://www.hehe.com"]];
    [_webView loadRequest:request];
    
}


- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType)navigationType
{
    NSLog(@"url = %@",request.URL);
    //解析url 做自己的逻辑处理  例如我们检测 访问网址为:www.hehe.com 就打开 www.baidu.com
    
    //如果自己编写网页，定义一些特别的标记符，便可以利用js使H5和Native 联合开发了；
    if ([request.URL.absoluteString isEqualToString:@"http://www.hehe.com/"])
    {
        [_webView stringByEvaluatingJavaScriptFromString:@"window.open('http://www.baidu.com');"];
    }
    
    return  YES;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
